body {
    margin: 0;
    background-color: #ddd3c9;
}

* {
    box-sizing: border-box;
}

.hero-wrapper {
    position: relative;
    padding: 60px 80px;
    background-color: #ddd3c9;
}

.hero {
    background-image: url("./images/aquaculture-main-new.jpg");
    background-size: cover;
    background-position: center;
    min-height: 550px;
    display: flex;
    align-items: flex-start; 
    justify-content: center;
    position: relative;
}

.hero-overlay {
    background: rgba(180, 170, 172, 0.85);
    padding: 25px 50px 50px;
    max-width: 1040px;
    color: white;
    box-shadow: 
    0 10px 30px rgba(0,0,0,0.25),
    0 40px 80px rgba(0,0,0,0.25);
    margin-top: 60px;
}

.hero-overlay h1 {
    font-size: 44px;
    margin-top: 0;
}

.hero-overlay h2 {
    font-size: 20px;
    margin-bottom: 25px;
    letter-spacing: 1px;
}

.hero-overlay p {
    line-height: 1.3;
    font-size: 18px;
    margin-bottom: 0;
}

.events {
    position: relative;
    margin-top: -120px;
    padding: 0 80px 80px;
}

.logos-row {
    display: flex;
    justify-content: center;
    gap: 40px;
    flex-wrap: wrap;
}

.logo-card {
    background-color: rgba(180, 170, 172, 0.60);
    backdrop-filter: blur(4px);
    width: 320px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 10px 25px rgba(0,0,0,0.3);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.logo-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 25px 45px rgba(0,0,0,0.35);
}

.logo-card img {
    max-width: 80%;
    max-height: 70%;
    object-fit: contain;
}

.logo-card a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

/* Hero Wrapper */

@media (max-width: 449px) {
    .hero-wrapper {
        padding: 10px;
    }
}

@media only screen and (min-width: 450px) and (max-width: 749px)  {
    .hero-wrapper {
        padding: 20px;
    }
}

@media only screen and (min-width: 750px) and (max-width: 1250px)  {
    .hero-wrapper {
        padding: 40px;
    }
}


/* Overlay */

@media (max-width: 349px) {
    .hero-overlay {
        max-width: 300px;
        margin-top: 10px;
        padding: 10px 15px 15px;
    }

    .hero-overlay h1 {
        font-size: 20px;
        margin-bottom: 0;
    }

    .hero-overlay h2 {
        font-size: 14px;
        margin-bottom: 0;
    }

    .hero-overlay p {
        font-size: 15px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 350px) and (max-width: 389px)  {
    .hero-overlay {
        max-width: 325px;
        margin-top: 10px;
        padding: 10px 10px 10px;
    }

    .hero-overlay h1 {
        font-size: 21px;
    }

    .hero-overlay h2 {
        font-size: 15px;
        margin-bottom: 0;
    }

    .hero-overlay p {
        font-size: 15px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 390px) and (max-width: 419px)  {
    .hero-overlay {
        max-width: 350px;
        margin-top: 10px;
        padding: 10px 20px 20px;
    }

    .hero-overlay h1 {
        font-size: 23px;
    }

    .hero-overlay h2 {
        font-size: 15px;
        margin-bottom: 5px;
    }

    .hero-overlay p {
        font-size: 16px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 420px) and (max-width: 449px)  {
    .hero-overlay {
        max-width: 375px;
        margin-top: 10px;
        padding: 10px 20px 20px;
    }

    .hero-overlay h1 {
        font-size: 23px;
    }

    .hero-overlay h2 {
        font-size: 15px;
        margin-bottom: 5px;
    }

    .hero-overlay p {
        font-size: 16px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 450px) and (max-width: 504px)  {
    .hero-overlay {
        max-width: 400px;
        margin-top: 15px;
        padding: 10px 20px 20px;
    }

    .hero-overlay h1 {
        font-size: 25px;
    }

    .hero-overlay h2 {
        font-size: 16px;
    }

    .hero-overlay p {
        font-size: 16px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 505px) and (max-width: 549px)  {
    .hero-overlay {
        max-width: 450px;
        margin-top: 15px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 25px;
    }

    .hero-overlay h2 {
        font-size: 16px;
    }

    .hero-overlay p {
        font-size: 16px;
    }
	
	.logos-row {
		gap: 25px;
	}
}

@media only screen and (min-width: 550px) and (max-width: 609px)  {
    .hero-overlay {
        max-width: 500px;
        margin-top: 15px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 28px;
    }

    .hero-overlay h2 {
        font-size: 17px;
    }

    .hero-overlay p {
        font-size: 17px;
    }
}

@media only screen and (min-width: 610px) and (max-width: 659px)  {
    .hero-overlay {
        max-width: 550px;
        margin-top: 25px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 28px;
    }

    .hero-overlay h2 {
        font-size: 17px;
    }

    .hero-overlay p {
        font-size: 17px;
    }
}

@media only screen and (min-width: 660px) and (max-width: 749px)  {
    .hero-overlay {
        max-width: 600px;
        margin-top: 25px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 30px;
    }

    .hero-overlay h2 {
        font-size: 18px;
    }

    .hero-overlay p {
        font-size: 17px;
    }
}

@media only screen and (min-width: 750px) and (max-width: 799px)  {
    .hero-overlay {
        max-width: 650px;
        margin-top: 15px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 30px;
    }

    .hero-overlay h2 {
        font-size: 18px;
    }

    .hero-overlay p {
        font-size: 17px;
    }
}

@media only screen and (min-width: 800px) and (max-width: 849px)  {
    .hero-overlay {
        max-width: 700px;
        margin-top: 20px;
        padding: 15px 25px 25px;
    }

    .hero-overlay h1 {
        font-size: 32px;
    }

    .hero-overlay h2 {
        font-size: 18px;
    }
}

@media only screen and (min-width: 850px) and (max-width: 899px)  {
    .hero-overlay {
        max-width: 750px;
        margin-top: 20px;
        padding: 20px 30px 30px;
    }

    .hero-overlay h1 {
        font-size: 35px;
    }

    .hero-overlay h2 {
        font-size: 18px;
    }
}

@media only screen and (min-width: 900px) and (max-width: 949px)  {
    .hero-overlay {
        max-width: 800px;
        margin-top: 25px;
        padding: 20px 30px 30px;
    }

    .hero-overlay h1 {
        font-size: 38px;
    }
}

@media only screen and (min-width: 950px) and (max-width: 999px)  {
    .hero-overlay {
        max-width: 850px;
        margin-top: 35px;
        padding: 25px 35px 35px;
    }
}

@media only screen and (min-width: 1000px) and (max-width: 1059px)  {
    .hero-overlay {
        max-width: 900px;
        margin-top: 40px;
    }
}

@media only screen and (min-width: 1060px) and (max-width: 1099px)  {
    .hero-overlay {
        max-width: 950px;
        margin-top: 45px;
    }
}

@media only screen and (min-width: 1100px) and (max-width: 1250px)  {
    .hero-overlay {
        max-width: 975px;
        margin-top: 45px;
    }
}

/* Logos */

@media (max-width: 419px) {
    .events {
        margin-top: -40px;
        padding: 0 15px 60px;
    }
}

@media only screen and (min-width: 420px) and (max-width: 559px)  {
    .events {
        margin-top: -60px;
        padding: 0 15px 60px;
    }
}

@media only screen and (min-width: 560px) and (max-width: 634px)  {
    .logo-card {
        width: 150px;
        height: 94px;
    }

    .events {
        padding: 0 15px 60px;
        margin-top: -65px;
    }
}

@media only screen and (min-width: 635px) and (max-width: 709px)  {
    .logo-card {
        width: 175px;
        height: 109px;
    }

    .events {
        padding: 0 15px 60px;
        margin-top: -85px;
    }
}

@media only screen and (min-width: 710px) and (max-width: 794px)  {
    .logo-card {
        width: 200px;
        height: 125px;
    }

    .events {
        padding: 0 15px 60px;
    }
}

@media only screen and (min-width: 795px) and (max-width: 989px)  {
    .logo-card {
        width: 225px;
        height: 141px;
    }

    .events {
        padding: 0 20px 60px;
    }
}

@media only screen and (min-width: 990px) and (max-width: 1064px)  {
    .logo-card {
        width: 250px;
        height: 157px;
    }
}

@media only screen and (min-width: 1065px) and (max-width: 1139px)  {
    .logo-card {
        width: 275px;
        height: 172px;
    }
}

@media only screen and (min-width: 1140px) and (max-width: 1200px)  {
    .logo-card {
        width: 300px;
        height: 188px;
    }
}